License Agreement for dotCover Command Line Tools
=================================================

**Version 1.2, effective as of March 23, 2023**

IMPORTANT! READ CAREFULLY: THIS IS A LEGAL AGREEMENT. BY DOWNLOADING, INSTALLING, COPYING, SAVING ON
YOUR COMPUTER, OR OTHERWISE USING THIS SOFTWARE, YOU (LICENSEE, AS DEFINED BELOW) ARE BECOMING A
PARTY TO THIS AGREEMENT AND YOU ARE CONSENTING TO BE BOUND BY ALL THE TERMS AND CONDITIONS OF THIS
AGREEMENT.

IF YOU DO NOT AGREE TO THE TERMS AND CONDITIONS OF THIS AGREEMENT, YOU SHOULD NOT DOWNLOAD, INSTALL
AND USE THE SOFTWARE.

#### 1. PARTIES

**(a)** “Licensor” means JetBrains s.r.o., having its principal place of business at Na hrebenech II
1718/8, Prague, 14000, Czech Republic, registered with Commercial Register kept by the Municipal
Court of Prague, Section C, file 86211, ID.Nr.: 265 02 275.

**(b)** “Licensee” means an individual or a legal entity entering into and exercising rights under
this Agreement or future versions thereof. For the purposes hereunder, Licensee includes any entity
that controls, is controlled by, or is under common control with Licensee. For purposes of this
definition, “control” means (i) the power, direct or indirect, to cause the direction or management
of such entity, whether by contract or otherwise; or (ii) ownership of fifty percent (50%) or more
of the controlling shares or beneficial ownership of such entity. Licensee is also referred to
herein as “You”.

#### 2. DEFINITIONS

“Software” means the software program known as dotCover Command Line Tools in binary form, including
its documentation, upgrades provided pursuant to Section 7 of this Agreement, and any third party
software programs that are owned and licensed pursuant to Section 5 of this Agreement by parties
other than Licensor and that either integrated with or made part of dotCover Command Line Tools
(collectively, “Third Party Software”).

#### 3. OWNERSHIP

**(a)** Software is the property of Licensor or its suppliers. Software is licensed, not sold. Title
and copyrights to Software, in whole and in part and all copies thereof, and all modifications,
enhancements, derivatives and other alterations of Software regardless of who made any
modifications, if any, are, and will remain, the sole and exclusive property of Licensor and its
suppliers.

**(b)** Software is protected by United States Copyright Law and International Treaty provisions.
Further, the structure, organization, and code embodied in Software are the valuable and
confidential trade secrets of Licensor and its suppliers and are protected by intellectual property
laws and treaties. Licensee agrees to abide by the copyright law and all other applicable laws of
the United States including, but not limited to, export control laws.

#### 4. GRANT OF LICENSE

Subject to the terms, conditions, and limitations set forth in this Agreement, including any
amendments thereto, Licensor hereby grants to Licensee a limited, non-exclusive, perpetual,
non-transferable license to use Software as follows:

**(a)** Licensee may:

(i) install and use Software in accordance with the Software documentation and pursuant to the terms
and conditions of this Agreement; and

(ii) make one backup copy of Software for archival purposes.

**(b)** Licensee may not:

(i) sell, redistribute, encumber, give, lend, rent, lease, sublicense, or otherwise transfer
Software, or any portions of Software, to anyone without the prior written consent of Licensor;

(ii) reverse engineer, decompile, disassemble, modify, translate, make any attempt to discover the
source code of Software, or create derivative works from Software.

#### 5. THIRD PARTY SOFTWARE LICENSE

**(a)** Licensee agrees to comply with the terms and conditions contained in [Third-Party Software
license
agreements](https://confluence.jetbrains.com/display/DCVR/Third-Party+Software+Shipped+With+dotCover+Command+Line+Tools)
with respect to the applicable Third-Party Software.

**(b)** Licensee agrees and acknowledges that Sections 8 and 9 of this Agreement shall also govern
Licensee’s use of the Third-Party Software. Licensor will have no responsibility with respect to any
Third Party Software, and Licensee will look solely to the licensor(s) of the Third Party Software
for any remedy. Licensor claims no right in the Third Party Software, and the same is owned
exclusively by the licensor(s) of the Third Party Software.

**(c)** LICENSOR PROVIDES NO WARRANTY, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO, THE IMPLIED
WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, TITLE, AND NON-INFRINGEMENT, WITH
RESPECT TO ANY THIRD PARTY SOFTWARE.

#### 6. FEEDBACK

Licensee may, but is not obligated to, provide to Licensor or its subsidiaries suggestions, comments
and feedback regarding Software, including but not limited to usability, bug reports and test
results (collectively, “Feedback”). Licensor grants to Licensee, without charge, a non-exclusive,
worldwide, irrevocable, royalty-free license to reproduce, modify, create derivative works of,
license, distribute and otherwise commercialize the Feedback as part of any of Licensee’s offerings.

#### 7. UPGRADES

**(a)** Licensor may, from time to time and at its discretion, provide generally available new
versions of Software to Licensee through Licensor’s web site at www.jetbrains.com.

**(b)** If not agreed otherwise in writing between Licensor and Licensee, upon upgrading to new
version of Software the relationship between parties shall be governed and amended (if applicable)
by the terms and conditions of License agreement related to Software available at www.jetbrains.com
on the day of upgrade download.

#### 8. LIMITED WARRANTY

SOFTWARE IS PROVIDED TO LICENSEE “AS IS” AND WITHOUT WARRANTIES. LICENSOR MAKES NO WARRANTY AS TO
ITS USE OR PERFORMANCE. TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW, LICENSOR AND ITS
AFFILIATES, SUPPLIERS, AND RESELLERS, DISCLAIM ALL OTHER WARRANTIES AND CONDITIONS, EITHER EXPRESS
OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
PARTICULAR PURPOSE, TITLE, AND NON-INFRINGEMENT, WITH REGARD TO SOFTWARE, AND THE PROVISION OF OR
FAILURE TO PROVIDE SUPPORT SERVICES.

#### 9. DISCLAIMER OF DAMAGES

**(a)** TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW, IN NO EVENT WILL LICENSOR OR ITS
AFFILIATES, LICENSORS, SUPPLIERS OR RESELLERS BE LIABLE TO LICENSEE UNDER ANY THEORY FOR ANY DAMAGES
SUFFERED BY LICENSEE OR ANY USER OF SOFTWARE, OR FOR ANY SPECIAL, INCIDENTAL, INDIRECT,
CONSEQUENTIAL, OR SIMILAR DAMAGES (INCLUDING, BUT NOT LIMITED TO, DAMAGES FOR LOSS OF PROFITS OR
CONFIDENTIAL OR OTHER INFORMATION, FOR BUSINESS INTERRUPTION, FOR PERSONAL INJURY, FOR LOSS OF
PRIVACY, FOR FAILURE TO MEET ANY DUTY INCLUDING OF GOOD FAITH OR OF REASONABLE CARE, FOR NEGLIGENCE,
AND FOR ANY OTHER PECUNIARY OR OTHER LOSS WHATSOEVER) ARISING OUT OF THE USE OR INABILITY TO USE
SOFTWARE, OR THE PROVISION OF OR FAILURE TO PROVIDE SUPPORT SERVICES, EVEN IF LICENSOR HAS BEEN
ADVISED OF THE POSSIBILITY OF SUCH DAMAGES, AND REGARDLESS OF THE LEGAL OR EQUITABLE THEORY
(CONTRACT, TORT OR OTHERWISE) UPON WHICH THE CLAIM IS BASED.

**(b)** IN ANY CASE, LICENSOR’S ENTIRE LIABILITY UNDER ANY PROVISION OF THIS AGREEMENT WILL BE
LIMITED TO THE AMOUNT ACTUALLY PAID BY LICENSEE FOR SOFTWARE UNDER THIS AGREEMENT OR FIVE (5) USD,
WHICHEVER IS GREATER.

#### 10. EXPORT REGULATIONS

Licensee agrees and accepts that Software may be subject to import and export laws of any country,
including those of the European Union and United States (specifically the Export Administration
Regulations (EAR)). Licensee acknowledges that it is not a citizen, national, or resident of, and is
not under control of the governments of Cuba, Iran, North Korea, Sudan or Syria and is not otherwise
a restricted end-user as defined by applicable export control laws. Further, Licensee acknowledges
that it will not download or otherwise export or re-export Software or any related technical data
directly or indirectly to the above-mentioned countries or to citizens, nationals, or residents of
those countries, or to any other restricted end user or for any restricted end-use.

#### 11. TERM AND TERMINATION

**(a)** If Licensee fails to comply with the terms and conditions of this Agreement, this Agreement
and Licensee’s right and license to use Software will terminate immediately. Licensee may terminate
this Agreement at any time by notifying Licensor. Upon the termination of this Agreement, Licensee
must delete Software from its computers and archives.

**(b)** LICENSEE AGREES THAT UPON TERMINATION OF THIS AGREEMENT FOR ANY REASON, LICENSOR MAY TAKE
ACTIONS SO THAT SOFTWARE NO LONGER OPERATES.

#### 12. MARKETING

Licensee agrees to be identified as a customer of Licensor and that Licensor may refer to Licensee
by name, trade name and trademark, if applicable, and may briefly describe Licensee’s business in
Licensor’s marketing materials, on Licensor’s web site, in public or legal documents. Licensee
hereby grants Licensor a license to use Licensee’s name and any of Licensee’s trade names and
trademarks solely pursuant to this marketing section.

#### 13. GENERAL

**(a)** Licensor reserves the right at any time to cease the support of Software and to alter
prices, features, specifications, capabilities, functions, licensing terms, release dates, general
availability or other characteristics of Software.

**(b)** This Agreement, including the Third Party Software license agreements, constitutes the
entire agreement between the parties concerning Licensee’s use of Software, and supersedes any and
all prior or contemporaneous oral or written representations, communications, or advertising with
respect to Software. No purchase order, other ordering document or any hand written or typewritten
text which purports to modify or supplement the printed text of this Agreement or any schedule will
add to or vary the terms of this Agreement unless signed by both Licensee and Licensor.

**(c)** A waiver by either party of any term or condition of this Agreement or any breach thereof,
in any one instance, will not waive such term or condition or any subsequent breach. The provisions
of this Agreement which require or contemplate performance after the expiration or termination of
this Agreement will be enforceable notwithstanding said expiration or termination.

**(d)** This Agreement will be governed by the laws of Czech Republic, without reference to conflict
of laws principles. Licensee agrees that any litigation relating to this Agreement may only be
brought in, and will be subject to the jurisdiction of, any Court of Czech Republic.

**(e)** Section titles are inserted for convenience only and will not affect in any way the meaning
or interpretation of this Agreement. If any provision of this Agreement is held invalid, the
remainder of this Agreement will continue in full force and effect. Either Licensor or Licensee may
assign this Agreement in the case of a merger or sale of substantially all of its respective assets
to another entity. This Agreement will be binding upon and will inure to the benefit of the parties,
their successors and assigns.

  
**For exceptions or modifications to this Agreement, please contact JetBrains at:**  
**Address**: Na hřebenech II 1718/8, Prague, 14000, Czech Republic  
**Fax**: +420 241 722 540  
**E-mail**:
[sales@jetbrains.com](mailto:sales@jetbrains.com?subject=dotCover%20CLT%20license%20request)
